Bug 1271691 - python-ironicclient should not install unit tests
python-ironicclient should not install unit tests
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-ironicclient (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
medium Severity medium
: z3
: 7.0 (Kilo)
Assigned To: Mike Burns
Raviv Bar-Tal
: Triaged, ZStream
Depends On:
Blocks: 1271670
  Show dependency treegraph
Reported: 2015-10-14 09:48 EDT by Mike Burns
Modified: 2015-12-21 12:08 EST (History)
5 users (show)

See Also:
Fixed In Version: python-ironicclient-0.5.1-12.el7ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-12-21 12:08:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Gerrithub.io 249797 None None None Never

  None (edit)
Description Mike Burns 2015-10-14 09:48:29 EDT
python-ironicclient is currently installing unit tests and those should not be shipped.  This is with the latest OSPd 7.1 package.
Comment 4 Raviv Bar-Tal 2015-11-23 11:56:38 EST
I can see the unittest package was removed, but I still have test directory under ironic directory tree.
Does this bug apply only to the unittest package?
Comment 5 Raviv Bar-Tal 2015-11-23 12:03:43 EST
Sorry, I install wrong version, 
The right version delete the test directory.
Comment 7 errata-xmlrpc 2015-12-21 12:08:52 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.